| usbpsu Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xusb_wrapper.c File Reference

## Overview

This file contains implementation of USBPSU Driver wrappers.

    MODIFICATION HISTORY:

    Ver   Who       Date     Changes

    1.0   BK        12/01/18 First release
          MYK       12/01/18 Added hibernation support for device mode
          vak       13/03/18 Moved the setup interrupt system calls from driver to
                     example.
    1.5      vak    02/06/19 Modified the code to add UsbPollHandler and
                     UsbEnableEvent API's
          vak       02/07/19 Modified the code to issue XUsbPsu_Ep0StallRestart()
                     for Endpoint Zero
    1.14  pm     21/06/23 Added support for system device-tree flow.

## Functions
void | UsbPollHandler (struct XUsbPsu *InstancePtr)
| Handler called from polled mode for handling usb events. More...
void | UsbEnableEvent (struct XUsbPsu *InstancePtr, u32 Mask)
| Enables the events specified in the mask. More...
s32 | IsSuperSpeed (struct Usb_DevData *InstancePtr)
| Sets speed of the Core for connecting to Host. More...
void | SetConfigDone (void *InstancePtr, u8 Flag)
| Set the Config state. More...
u8 | GetConfigDone (void *InstancePtr)
| Get the Config state. More...
void | SetEpInterval (void *InstancePtr, u8 UsbEpNum, u8 Dir, u32 Interval)
| This function sets Endpoint Interval. More...

## Function Documentation

u8 GetConfigDone | ( | void * | InstancePtr | ) |

Get the Config state.

Parameters

  InstancePtr | is a private member of Usb_DevData instance.

Returns
  Current configuration value

Note
  None.

References XUsbPsu::IsConfigDone.

s32 IsSuperSpeed | ( | struct Usb_DevData * | InstancePtr | ) |

Sets speed of the Core for connecting to Host.

Parameters

  InstancePtr | is a pointer to the Usb_DevData instance.

Returns
  XST_SUCCESS else XST_FAILURE

Note
  None.

References Usb_DevData::PrivateData, and XUsbPsu_IsSuperSpeed().

Referenced by ParseCBW(), Usb_Ch9SetupCfgDescReply(), Usb_Ch9SetupDevDescReply(), and Usb_Ch9SetupStrDescReply().

void SetConfigDone | ( | void * | InstancePtr,
|  | u8 | Flag
| ) |  |

Set the Config state.

Parameters

  InstancePtr | is a private member of Usb_DevData instance.
  Flag | is the config value.

Returns
  None.

Note
  None.

Referenced by Usb_SetConfiguration(), and Usb_SetConfigurationApp().

void SetEpInterval | ( | void * | InstancePtr,
|  | u8 | UsbEpNum,
|  | u8 | Dir,
|  | u32 | Interval
| ) |  |

This function sets Endpoint Interval.

Parameters

  InstancePtr | is a private member of Usb_DevData instance.
  UsbEpnum | is Endpoint Number.
  Dir | is Endpoint Direction(In/Out).
  Interval | is the data transfer service interval

Returns
  None.

Note
  None.

References XUsbPsu_Ep::Interval.

Referenced by prvPlayBackTask(), prvRecordTask(), and Usb_SetIntf().

void UsbEnableEvent | ( | struct XUsbPsu * | InstancePtr,
|  | u32 | Mask
| ) |  |

Enables the events specified in the mask.

Parameters

  InstancePtr | is a pointer to the XUsbPsu instance.

Returns
  None.

Note
  None.

References XUsbPsu_EnableIntr().

Referenced by main().

void UsbPollHandler | ( | struct XUsbPsu * | InstancePtr | ) |

Handler called from polled mode for handling usb events.

Parameters

  InstancePtr | is a pointer to the XUsbPsu instance.

Returns
  None.

Note
  None.

References XUsbPsu_IntrHandler().

Referenced by main().